#!/usr/perl5/bin/perl
#
# Copyright (c) 2001 by Sun Microsystems, Inc.
# All rights reserved.
#
#pragma ident   "@(#)check_patch_errors.pl 1.1     01/08/14 SMI"
#
# Checks to see if there are any errors during patch installation.

require 5.005;
use strict;
use lib '/opt/SUNWscvw/lib/perl';
use Cluster::Cgi;
use Cluster::Install;
use Sun::Solaris::Utils qw(gettext);

# Remove the BASEDIR environment variables
delete @ENV{'BASEDIR', 'CLIENT_BASEDIR'};

# Create the html query object
my $q = new Cluster::Cgi;

# Create a install object
my $install = new Cluster::Install;

# Print the header
$q->header();

# Print the contents of the error file 
my $error_file=$q->param("error_file");
open(FILE, "<$error_file");

while ( <FILE> ) {
	print $_;
}

# Exit gracefully
exit (0);
